<?php

/**
 * Edition du code source d'une page statique
 *
 * @package PLX
 * @author	Stephane F. et Florent MONTHEL
 **/
 
include('prepend.php');

# On édite la page statique
if(!empty($_POST) AND isset($plxAdmin->aStats[ $_POST['id'] ])) {
	$msg = $plxAdmin->editFileStatique(plxUtils::unSlash($_POST));
	header('Location: statique.php?p='.$_POST['id'].'&msg='.urlencode($msg).'');
	exit;
} elseif(!empty($_GET['p'])) { # On affiche le contenu de la page
	$id = $_GET['p'];
	if(!isset($plxAdmin->aStats[ $id ])) {
		$msg = 'Cette page statique n\'existe pas ou n\'existe plus !';
		header('Location: statiques.php?msg='.urlencode($msg));
		exit;
	}
	# On récupère le contenu
	$content = trim($plxAdmin->getFileStatique($id));
	$title = $plxAdmin->aStats[ $id ]['name'];
	$url = $plxAdmin->aStats[ $id ]['url'];
} else { # Sinon, on redirige
	header('Location: statiques.php');
	exit;
}

# On inclut le header
include('top.php');
?>

<h2>&Eacute;dition du code source de la page statique "<?php echo htmlspecialchars($title,ENT_QUOTES,PLX_CHARSET); ?>"</h2>

<p><a href="<?php echo PLX_ROOT; ?>?static<?php echo intval($id); ?>/<?php echo $url; ?>">Visualiser la page <?php echo htmlspecialchars($title,ENT_QUOTES,PLX_CHARSET); ?> sur le site</a></p>

<form action="statique.php" method="post" id="change-static-content">
	<fieldset>
		<?php plxUtils::printInput('id', $id, 'hidden');?>
		<p class="field"><label>Contenu&nbsp;:</label></p>
		<?php plxUtils::printArea('content', htmlspecialchars($content,ENT_QUOTES,PLX_CHARSET),60,20) ?>
    	<p><input type="submit" value="Enregistrer"/></p>
	</fieldset>
</form>

<div class="help">
	<h3>Quel langage de programmation utiliser ?</h3>
	<p>Vous pouvez utiliser n'importe quel langage de script (supportant l'inclusion dans du code php) interpr&eacute;table par votre serveur web (php, javascript, xhtml, etc.).</p>
	<h3>A propos du code source (utilisateur avertis)</h3>
	<p>Le code source est interpr&eacute;t&eacute; au cours du chargement de la page. N&eacute;anmoins, "les headers" sont envoy&eacute;s au navigateur une fois que tout le code source a &eacute;t&eacute; interpr&eacute;t&eacute;. Il vous est donc possible de créer des cookies, des sessions, etc</p>
</div>

<?php
# On inclut le footer
include('foot.php');
?>